artdaq - Idea #7658

Look into using messages between BoardReaders as a way to trigger readout
01/19/2015 08:10 PM - Kurt Biery

Status: Closed Start date: 01/19/2015
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 80.00 hours
Target version: vi_12_11

Experiment: -

Description

In thinking about how to synchronize the readout of slow controls data (so that it can be added to the primary data stream), Ron
suggested a model in which one of the BoardReaders is designated as a source of readout messages and the BoardReaders that
need to be told when to read out can listen for such messages.

We should look into providing this functionality. Whether or not it is being used should be configurable, of course. MPI could be
used for transmitting messages, or there could be a different protocol used.

Related issues:
Related to artdaq - Feature #8590: Develop infrastructure for internally trig... Closed 05/04/2015

History

#1 - 05/04/2015 01:07 PM - Kurt Biery
- Target version changed from 577 to vi_12_09

#2 - 05/04/2015 02:18 PM - Kurt Biery
- Target version changed from v1_12_09tovi_12_10

#3 - 05/04/2015 02:27 PM - Kurt Biery
- Related to Feature #8590: Develop infrastructure for internally triggering fragment generation [OtS DAQ)] added

#4 - 06/02/2015 05:49 AM - Kurt Biery

- Target version changed from vi1_12_10tovi1_12_11

#5 - 05/23/2016 10:35 AM - Eric Flumerfelt

- Status changed from New to Closed
